using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ControlExplorer.Controls.Sparkline
{
    class SampleData
    {
        public List<double> DefaultData
        {
            get
            {
                List<double> data = new List<double>() { 1.0, -2.0, -1.0, 6.0, 4.0, -4.0, 3.0, 8.0 };
                return data;
            }
        }

        public List<DateTime> DefaultDateAxisData
        {
            get
            {
                List<DateTime> dates = new List<DateTime>();
                dates.Add(new DateTime(2011, 1, 5));
                dates.Add(new DateTime(2011, 1, 1));
                dates.Add(new DateTime(2011, 2, 11));
                dates.Add(new DateTime(2011, 3, 1));
                dates.Add(new DateTime(2011, 2, 1));
                dates.Add(new DateTime(2011, 2, 3));
                dates.Add(new DateTime(2011, 3, 6));
                dates.Add(new DateTime(2011, 2, 19));
                return dates;
            }
        }

        public List<string> DefaultColors
        {
            get
            {
                List<string> colors = new List<string>() { "Magenta", "Purple", "Teal", "Lime", "Brown", "Pink",
                                        "Orange", "Blue","Red", "Green"};
                return colors;
            }
        }
    }
}
